FreeMat

- Main Page
- Related Pages

vtkPNrrdReader

Section: Visualization Toolkit Parallel Classes

# Usage

vtkPNrrdReader is a subclass of vtkMPIImageReader that will read Nrrd format header information of the image before reading the data. This means that the reader will automatically set information like file dimensions.

.SECTION Bugs

There are several limitations on what type of nrrd files we can read. This reader only supports nrrd files in raw format. Other encodings like ascii and hex will result in errors. When reading in detached headers, this only supports reading one file that is detached.

To create an instance of class vtkPNrrdReader, simply invoke its constructor as follows

      obj = vtkPNrrdReader

# Methods

The class vtkPNrrdReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPNrrdReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPNrrdReader = obj.NewInstance ()`
- `vtkPNrrdReader = obj.SafeDownCast (vtkObject o)`
- `int = obj.CanReadFile (string filename)`